API ReferenceEstimates
Get an estimate by ID
Returns full estimate details including all line items.
Authorization
apiKey AuthorizationBearer <token>
API key issued from your AgentInvoice account settings.
In: header
Path Parameters
id*integer
Estimate ID
Response Body
application/json
application/json
curl -X GET "https://app.agentinvoice.co/api/estimates/0"{
"id": 55,
"clientId": 42,
"estimateNumber": "EST-0001",
"status": "draft",
"currency": "USD",
"subtotal": "500.00",
"taxTotal": "50.00",
"total": "550.00",
"notes": "string",
"terms": "string",
"validUntil": "2019-08-24T14:15:22Z",
"convertedInvoiceId": 0,
"clientName": "string",
"clientEmail": "string",
"lineItems": [
{
"id": 1,
"description": "Logo design",
"quantity": "1.00",
"unitPrice": "500.00",
"taxRate": "0.10",
"amount": "500.00",
"sortOrder": 0
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "Not found",
"code": "NOT_FOUND"
}